module FundRaise

require_relative '../../lib/fund_raise/project'
require_relative '../../lib/fund_raise/fund_request'
require_relative '../../lib/fund_raise/die'

describe FundRequest do

  before do 
    $stdout = StringIO.new
    @fundrequest = FundRequest.new("My Friendly Start-up Projects")
    @initial_funding = 150
    @target = 3000
    @project = Project.new("Project LMN", @target, @initial_funding)
    @fundrequest.add_project(@project)
  end

  context "rolled die" do
    it "rolled an even number" do
      allow_any_instance_of(Die).to receive(:number).and_return(2)
      #Die.any_instance.stub(:roll).and_return(2)
      @fundrequest = FundRequest.new("My Friendly Start-up Projects")
      @fundrequest.add_project(@project)
      @fundrequest.request_funding(1)
      expect(@project.current_funding).to eq(@initial_funding + 25)
    end

    it "rolled an odd number" do
      allow_any_instance_of(Die).to receive(:number).and_return(3)
      #Die.any_instance.stub(:roll).and_return(3)
      @fundrequest = FundRequest.new("My Friendly Start-up Projects")
      @fundrequest.add_project(@project)
      @fundrequest.request_funding(1)
      expect(@project.current_funding).to eq(@initial_funding - 15)
    end
  end
end
end
